Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch
Class DefaultLocalSearchPhase

    java.lang.Object
      org.optaplanner.core.impl.phase.AbstractPhase
          org.optaplanner.core.impl.localsearch.DefaultLocalSearchPhase

All Implemented Interfaces:
  EventListener, LocalSearchPhaseLifecycleListener, LocalSearchPhase, PhaseLifecycleListener, Phase, SolverLifecycleListener

    public class DefaultLocalSearchPhase

extends AbstractPhase
implements LocalSearchPhase, LocalSearchPhaseLifecycleListener

Default implementation of `LocalSearchPhase`.

Field Summary
`protected boolean` | `assertExpectedStepScore`
`protected boolean` | `assertStepScoreFromScratch`
`protected LocalSearchDecider` | `decider`

Fields inherited from class org.optaplanner.core.impl.phase.AbstractPhase
`bestSolutionRecaller, logger, phaseIndex, phaseLifecycleSupport, termination`

Constructor Summary
`DefaultLocalSearchPhase()`

Method Summary
`LocalSearchDecider` | `getDecider()`
`void` | `phaseEnded(LocalSearchPhaseScope phaseScope)`
`void` | `phaseStarted(LocalSearchPhaseScope phaseScope)`
`void` | `setAssertExpectedStepScore(boolean assertExpectedStepScore)`
`void` | `setAssertStepScoreFromScratch(boolean assertStepScoreFromScratch)`
`void` | `setDecider(LocalSearchDecider decider)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(LocalSearchStepScope stepScope)`
`void` | `stepStarted(LocalSearchStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.phase.AbstractPhase
`addPhaseLifecycleListener, getPhaseIndex, getTermination, phaseEnded, phaseStarted, removePhaseLifecycleListener, setBestSolutionRecaller, setPhaseIndex, setTermination, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.Phase
`addPhaseLifecycleListener, removePhaseLifecycleListener`

Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Field Detail

### decider

    protected LocalSearchDecider decider

### assertStepScoreFromScratch

    protected boolean assertStepScoreFromScratch

### assertExpectedStepScore

    protected boolean assertExpectedStepScore

Constructor Detail

### DefaultLocalSearchPhase

    public DefaultLocalSearchPhase()

Method Detail

### getDecider

    public LocalSearchDecider getDecider()

### setDecider

    public void setDecider(LocalSearchDecider decider)

### setAssertStepScoreFromScratch

    public void setAssertStepScoreFromScratch(boolean assertStepScoreFromScratch)

### setAssertExpectedStepScore

    public void setAssertExpectedStepScore(boolean assertExpectedStepScore)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `Phase`

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractPhase`

### phaseStarted

    public void phaseStarted(LocalSearchPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchPhaseLifecycleListener`

### stepStarted

    public void stepStarted(LocalSearchStepScope stepScope)

  Specified by:
    `stepStarted` in interface `LocalSearchPhaseLifecycleListener`

### stepEnded

    public void stepEnded(LocalSearchStepScope stepScope)

  Specified by:
    `stepEnded` in interface `LocalSearchPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(LocalSearchPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchPhaseLifecycleListener`

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`
  Overrides:
    `solvingEnded` in class `AbstractPhase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.